Bug 28123 - tls_ca_file per UCR Konfigurieren
tls_ca_file per UCR Konfigurieren
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Mail
UCS 3.0
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Felix Botner
Janek Walkenhorst
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 13:12 CEST by Janis Meybohm
Modified: 2013-11-19 06:44 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2012-07-31 13:12:13 CEST
Die imapd.conf Option tls_ca_file sollte per UCR gesetzt werden können.
Comment 1 Felix Botner univentionstaff 2013-10-18 13:43:06 CEST
Added mail/cyrus/ssl/capath (tls_ca_path) and mail/cyrus/ssl/cafile (tls_ca_file) to univention-mail-cyrus

Defaults for non-cyrus-murder hosts are:
  mail/cyrus/ssl/cafile - None
  mail/cyrus/ssl/capath - /etc/univention/ssl/ucsCA/certs/

Defaults for cyrus-murder hosts are:
  mail/cyrus/ssl/cafile - /etc/univention/ssl/ucsCA/CAcert.pem
  mail/cyrus/ssl/capath - None
Comment 2 Moritz Muehlenhoff univentionstaff 2013-10-21 09:08:47 CEST
I've updated the UCR variable descriptions in revision 45359.
Comment 3 Janek Walkenhorst univentionstaff 2013-10-31 12:23:10 CET
Changelog: OK

(In reply to Moritz Muehlenhoff from comment #2)
> I've updated the UCR variable descriptions in revision 45359.
Inconsistent with regards to the unset + murder/non-murder case.
Comment 4 Felix Botner univentionstaff 2013-10-31 12:33:20 CET
fixed
Comment 5 Janek Walkenhorst univentionstaff 2013-10-31 16:12:01 CET
(In reply to Felix Botner from comment #4)
> fixed
OK

Code review: OK
Works as described: OK
Comment 6 Stefan Gohmann univentionstaff 2013-11-19 06:44:07 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".